#import <UIKit/UIKit.h>
#import "TuneView.h"

@class Tune;

@interface TunePlayerController : UIViewController <UIScrollViewDelegate>
{
  Tune *tune;
  IBOutlet UIButton *playButton;
  IBOutlet UIButton *stopButton;
}

@property(retain,readwrite) Tune *tune;

- (void)editABC;
- (void)viewTapped:(id)sender;
- (void)viewDoubleTapped:(id)sender;

- (UIView *)viewForZoomingInScrollView:(UIScrollView *)scrollView;     // return a view that will be scaled. if delegate returns nil, nothing happens
- (void)scrollViewDidEndZooming:(UIScrollView *)scrollView withView:(UIView *)view atScale:(float)scale; // scale between minimum and maximum. called after any 'bounce' animations
- (void)alertView:(UIAlertView *)alertView clickedButtonAtIndex:(NSInteger)buttonIndex;

@end
