#import <UIKit/UIKit.h>
#import <GameKit/GameKit.h>

@interface BluetoothController : UIViewController <GKPeerPickerControllerDelegate, GKSessionDelegate, UIAlertViewDelegate>
{
	NSString *peerId;
	GKSession *session;
  NSInteger gameState;
	NSInteger	peerStatus;
	UIAlertView	*connectionAlert;
}

@property(nonatomic) NSInteger gameState;
@property(nonatomic) NSInteger peerStatus;

@property(nonatomic, retain) GKSession *session;
@property(nonatomic, copy) NSString	*peerId;
@property(nonatomic, retain) UIAlertView *connectionAlert;

- (void)invalidateSession:(GKSession *)session;

@end
