#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#import "HTTPServer.h"
#import "HTTPConnection.h"
#import "HTTPResponse.h"
#import "Tune.h"

@interface HTTPTuneResponse : NSObject <HTTPResponse>
{
  NSArray *tunes;
  NSInteger currentIndex;
  NSInteger currentOffset;
  NSData* currentDots;

  NSMutableDictionary *httpHeaders;
}

@property (retain) NSMutableDictionary *httpHeaders;

- (id)initWithTunes:(NSArray *)tunes;

@end
