#import <UIKit/UIKit.h>

@class TunePlayer;

@interface TuneSettingsView : UIView
{
}
@end

@interface InstrumentButton : UIButton
{
}

- (void)drawRect:(CGRect)rect;
@end

@interface TuneSettingsController : UIViewController
{
  IBOutlet UISlider *speedSlider;
  IBOutlet UISlider *pitchSlider;
  IBOutlet UISlider *volumeSlider;
  IBOutlet UIPickerView *instrumentPicker;
  IBOutlet UIButton *instrument1Button;
  IBOutlet UIButton *instrument2Button;
  IBOutlet UIButton *instrument3Button;
  IBOutlet UIButton *instrument4Button;
  IBOutlet UIButton *instrument5Button;
  IBOutlet UIButton *instrument6Button;
  IBOutlet UIButton *instrument7Button;
  IBOutlet UIButton *instrument8Button;

  TunePlayer *player;
  UIButton *instrumentButtons[8];
  int currentInstrument;
}

@property (nonatomic, retain) IBOutlet UISlider *speedSlider;
@property (nonatomic, retain) IBOutlet UISlider *pitchSlider;
@property (nonatomic, retain) IBOutlet UISlider *volumeSlider;
@property (nonatomic, retain) IBOutlet TunePlayer *player;

- (id)initWithPlayer:(TunePlayer *)tunePlayer;

- (void)viewDidLoad;

- (IBAction)speedChanged:(id)sender;
- (IBAction)pitchChanged:(id)sender;
- (IBAction)volumeChanged:(id)sender;
- (IBAction)instrumentChanged:(id)sender;
- (IBAction)donePressed:(id)sender;

@end
