#import <UIKit/UIKit.h>

@protocol TuneViewDelegate;

@class Tune;

@interface TuneView : UIView
{
	id<TuneViewDelegate> delegate;
  NSString *tune;
  float scale;
  CFDataRef pdfData;
  int numPages;
}

@property(assign) id<TuneViewDelegate> delegate;
@property(readwrite) float scale;
@property(retain,readwrite) NSString *tune;
@property(readwrite) int numPages;

@end

@protocol TuneViewDelegate<NSObject>

@optional
-(void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event;
-(void)touchesMoved:(NSSet *)touches withEvent:(UIEvent *)event;
-(void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event;
-(void)touchesCancelled:(NSSet *)touches withEvent:(UIEvent *)event;

@end
