#import <UIKit/UIKit.h>
#import "BrowserViewController.h"

@interface WebViewController : UIViewController <UITextFieldDelegate, UIWebViewDelegate, UIActionSheetDelegate, BrowserViewControllerDelegate>
{
  IBOutlet UIBarButtonItem *backButton;
  IBOutlet UIBarButtonItem *forwardButton;
  IBOutlet UIBarButtonItem *importButton;
  UITextField *urlField;
	UIWebView *webView;
  UIActivityIndicatorView *activityIndicator;
  NSURLRequest *currentURLRequest;
}

@property (nonatomic, retain) IBOutlet UITextField *urlField;
@property (nonatomic, retain) IBOutlet UIWebView *webView;
@property (nonatomic, retain) IBOutlet UIActivityIndicatorView *activityIndicator;
@property (nonatomic, retain) IBOutlet NSURLRequest *currentURLRequest;

- (IBAction) back:(id)sender;
- (IBAction) forward:(id)sender;
- (IBAction) importABC:(id)sender;
- (IBAction) showBonjourBrowser:(id)sender;
#if TARGET_IPAD
- (IBAction) donePressed:(id)sender;
#endif

@end
